import DisplayColor from "@/components/colors/single/DisplayColor";
import prisma from "@/lib/prisma";

export default async function ColorsPage({ params }: { params: { id: string } }) {
  const { id } = await params;

  const colorData = await prisma.color.findUnique({
    where: {
      id,
    },
    include: {
      images: {
        include: {
          image: {
            include: {
              variants: { where: { type: "thumbnail" } }
            }
          }
        }
      }
    }
  });

  return (
    <div>
      <h1 className="text-2xl font-bold mb-4">Show color</h1>
      {colorData ? <DisplayColor color={colorData} /> : 'Color not found...'}
    </div>
  );
}