import ListColors from "@/components/colors/list/ListColors";
import prisma from "@/lib/prisma";

export default async function ColorsPage() {
  const colors = await prisma.color.findMany(
    {
      orderBy: { name: "asc" },
      include: {
        images: { select: { id: true } }
      }
    }
  );

  return (
    <div>
      <div className="flex gap-4 justify-between">
        <h1 className="text-2xl font-bold mb-4">Colors</h1>
      </div>
      {colors.length > 0 ? <ListColors colors={colors} /> : <p className="text-muted-foreground italic">No colors found.</p>}
    </div>
  );
}