import ListExtractColors from "@/components/extract/list/ListExtractColors";
import prisma from "@/lib/prisma";

export default async function ExtractColorsPage() {
  const extractColors = await prisma.extractColor.findMany(
    {
      orderBy: { name: "asc" },
      include: {
        images: { select: { id: true } }
      }
    }
  );

  return (
    <div>
      <div className="flex gap-4 justify-between">
        <h1 className="text-2xl font-bold mb-4">Extract colors</h1>
      </div>
      {extractColors.length > 0 ? <ListExtractColors colors={extractColors} /> : <p className="text-muted-foreground italic">No colors found.</p>}
    </div>
  );
}