// "use client"

import { Card, CardContent, CardHeader, CardTitle } from "@/components/ui/card";
import { Image } from "@/generated/prisma";
import NetImage from "next/image";
import Link from "next/link";

export default function ListImages({ images }: { images: Image[] }) {
  return (
    <div className="columns-1 sm:columns-2 md:columns-3 xl:columns-4 gap-4 space-y-4">
      {images.map((image) => (
        <div key={image.id} className="break-inside-avoid">
          <Link href={`/images/edit/${image.id}`} key={image.id}>
            <Card className="overflow-hidden">
              <CardHeader>
                <CardTitle className="text-base truncate">{image.imageName}</CardTitle>
              </CardHeader>
              <CardContent className="flex justify-center items-center">
                <NetImage src={`/api/image/thumbnails/${image.fileKey}.webp`} alt={image.altText ? image.altText : "Image"} width={200} height={200} className="rounded max-w-full h-auto object-contain" />
              </CardContent>
            </Card>
          </Link>
        </div>
      ))}
    </div>
  );
}